<div>
    <h2>
        <span jhiTranslate="mpmApp.calendarDayOff.home.title">Calendar Day Offs</span>
        <button class="btn btn-primary float-right jh-create-entity create-calendar-day-off" [routerLink]="['/', { outlets: { popup: ['calendar-day-off-new'] } }]">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down"  jhiTranslate="mpmApp.calendarDayOff.home.createLabel">
            Create new Calendar Day Off
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch" placeholder="{{ 'mpmApp.calendarDayOff.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </div>
    </div>
    <br/>
    <div class="table-responsive" *ngIf="calendarDayOffs">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <!-- <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <span class="fa fa-sort"></span></th> -->
            <!-- <th jhiSortBy="iddayoff"><span jhiTranslate="mpmApp.calendarDayOff.iddayoff">Iddayoff</span> <span class="fa fa-sort"></span></th> -->
            <th jhiSortBy="dtdayoff"><span jhiTranslate="mpmApp.calendarDayOff.dtdayoff">Dtdayoff</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="description"><span jhiTranslate="mpmApp.calendarDayOff.description">Description</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="status"><span jhiTranslate="mpmApp.calendarDayOff.status">Status</span> <span class="fa fa-sort"></span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let calendarDayOff of calendarDayOffs ;trackBy: trackId">
                <!-- <td><a [routerLink]="['../calendar-day-off', calendarDayOff.id ]">{{calendarDayOff.id}}</a></td> -->
                <!-- <td>{{calendarDayOff.iddayoff}}</td> -->
                <td>{{calendarDayOff.dtdayoff | date:'dd-MM-yyyy'}}</td>
                <td>{{calendarDayOff.description}}</td>
                <td>{{calendarDayOff.status}}</td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['../calendar-day-off', calendarDayOff.iddayoff ]"
                                class="btn btn-info btn-sm">
                            <span class="fa fa-eye"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'calendar-day-off/'+ calendarDayOff.iddayoff + '/edit'} }]"
                                replaceUrl="true"
                                class="btn btn-primary btn-sm">
                            <span class="fa fa-pencil"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'calendar-day-off/'+ calendarDayOff.iddayoff + '/delete'} }]"
                                replaceUrl="true"
                                class="btn btn-danger btn-sm">
                            <span class="fa fa-remove"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
        <div *ngIf="calendarDayOffs && calendarDayOffs.length">
            <div class="row justify-content-center">
                <jhi-item-count [page]="page" [total]="queryCount" [itemsPerPage]="itemsPerPage"></jhi-item-count>
            </div>
            <div class="row justify-content-center">
                <ngb-pagination [collectionSize]="totalItems" [(page)]="page" (pageChange)="loadPage(page)"></ngb-pagination>
            </div>
        </div>
</div>
